Method: parsers.refineAiCustomParser

Full name: projects.locations.instances.logTypes.parsers.refineAiCustomParser

Refines an existing custom parser or generation session based on user feedback. This is a resource-level custom method returning an LRO.

HTTP request

POST https://{endpoint}/v1alpha/{name}:refineAiCustomParser

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The resource name of the parser to refine. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}/parsers/{parser}

Request body

The request body contains data with the following structure:

JSON representation
{
  "sessionId": string,
  "prompt": string,
  "agentContextId": string
}
Fields
sessionId

string

Required. The session ID from the previous parsers.generateAiCustomParser or parsers.refineAiCustomParser call. The backend uses this to retrieve existing schemas, stage plans, and attempt history.

prompt

string

Required. The refinement instruction or correction feedback.

agentContextId

string

Optional. The agent context ID.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.